Speakers
Update speaker
Updates a speaker in your organization
PUT
/
speakers
/
{id}
Update speaker
curl --request PUT \
--url https://api.beyondwords.io/v1/speakers/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"first_name": "John"
}
'import requests
url = "https://api.beyondwords.io/v1/speakers/{id}"
payload = { "first_name": "John" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: 'John'})
};
fetch('https://api.beyondwords.io/v1/speakers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beyondwords.io/v1/speakers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'John'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.beyondwords.io/v1/speakers/{id}"
payload := strings.NewReader("{\n \"first_name\": \"John\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.beyondwords.io/v1/speakers/{id}")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"John\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beyondwords.io/v1/speakers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"John\"\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"first_name": "Jane",
"last_name": "Doe",
"avatar_url": "https://example.com/avatar.jpg",
"created": "2023-12-31T00:00:00.000Z",
"updated": "2023-12-31T00:00:00.000Z",
"custom_voices": [
{
"id": 1
},
{
"name": "Jane"
},
{
"script_ids": [
123,
456
]
},
{
"cloning_status": "script-preparation"
},
{
"created": "2023-12-31T00:00:00.000Z"
},
{
"updated": "2023-12-31T00:00:00.000Z"
}
],
"voices": [
{
"id": 1
},
{
"name": "Jane"
}
]
}Updates a speaker in your organization.
Query Parameters
Body
application/json
Response
200 - application/json
successful
Was this page helpful?
⌘I
Update speaker
curl --request PUT \
--url https://api.beyondwords.io/v1/speakers/{id} \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"first_name": "John"
}
'import requests
url = "https://api.beyondwords.io/v1/speakers/{id}"
payload = { "first_name": "John" }
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: 'John'})
};
fetch('https://api.beyondwords.io/v1/speakers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beyondwords.io/v1/speakers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'first_name' => 'John'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.beyondwords.io/v1/speakers/{id}"
payload := strings.NewReader("{\n \"first_name\": \"John\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.beyondwords.io/v1/speakers/{id}")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"first_name\": \"John\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beyondwords.io/v1/speakers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"first_name\": \"John\"\n}"
response = http.request(request)
puts response.read_body{
"id": 1,
"first_name": "Jane",
"last_name": "Doe",
"avatar_url": "https://example.com/avatar.jpg",
"created": "2023-12-31T00:00:00.000Z",
"updated": "2023-12-31T00:00:00.000Z",
"custom_voices": [
{
"id": 1
},
{
"name": "Jane"
},
{
"script_ids": [
123,
456
]
},
{
"cloning_status": "script-preparation"
},
{
"created": "2023-12-31T00:00:00.000Z"
},
{
"updated": "2023-12-31T00:00:00.000Z"
}
],
"voices": [
{
"id": 1
},
{
"name": "Jane"
}
]
}